Page MenuHomePhabricator

Figure out purging of static logos for updates
Closed, ResolvedPublic

Description

15:47 logmsgbot: thcipriani Synchronized w/static/images/project-logos/lrcwiki.png: SWAT: Update the logo of lrcwiki gerrit:220358 (duration: 00m 13s)
alex@alex-laptop:~/Development/Wikimedia/Operations-Puppet (production)$ curl -I "https://lrc.wikipedia.org/w/static/images/project-logos/lrcwiki.png" 2>&1 | grep Last-Modified
Last-Modified: Wed, 22 Jul 2015 15:46:58 GMT
alex@alex-laptop:~/Development/Wikimedia/Operations-Puppet (production)$ curl -I "https://lrc.wikipedia.org/static/images/project-logos/lrcwiki.png" 2>&1 | grep Last-Modified
Last-Modified: Tue, 16 Jun 2015 16:05:14 GMT

Event Timeline

Krenair created this task.Jul 22 2015, 10:00 PM
Krenair assigned this task to ori.
Krenair raised the priority of this task from to Needs Triage.
Krenair updated the task description. (Show Details)
Krenair added projects: acl*sre-team, Varnish.
Krenair added subscribers: Krenair, 20after4, Mjbmr.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptJul 22 2015, 10:00 PM
Krenair renamed this task from Figure out purging of static logo updates to Figure out purging of static logos for updates.Jul 22 2015, 10:03 PM
Krenair set Security to None.

Same issue for default.png now

Glaisher added a subscriber: BBlack.Aug 2 2015, 3:52 PM

<Glaisher> https://zu.wikipedia.org/static/images/project-logos/default.png https://zu.wikipedia.org/w/static/images/project-logos/default.png
<Glaisher>can the cache be cleared from that?
<Glaisher> looks like it's causing some users to be served foundation logo on wikipedias
<Glaisher> bblack: ^
<Glaisher> also, can you explain why some users are being served from /w/static while others from /static

Glaisher triaged this task as High priority.Aug 2 2015, 3:54 PM

Changing to high because users shouldn't be seeing foundation logo on Wikipedias. Also why is it set to expire on 2016? That seems a bit lengthy.

That issue with people seeing the foundation logo was separate to the purpose of this bug, see https://gerrit.wikimedia.org/r/#/c/228676/

BBlack added a comment.Aug 2 2015, 7:40 PM

Changing to high because users shouldn't be seeing foundation logo on Wikipedias. Also why is it set to expire on 2016? That seems a bit lengthy.

I'm pretty sure our caches cap everything at 30d regardless.

Krenair reassigned this task from ori to BBlack.Aug 26 2015, 7:08 PM
Krenair added a subscriber: ori.

<bblack> Krenair: 2) for the /static/ stuff, we're internally normalizing req.http.host to "www.wikimedia.org" regardless of request-domain. I think that means you have to purge using that hostname, not other random hostnames.

This does the trick: SquidUpdate::purge( array( 'https://www.wikimedia.org/static/images/project-logos/filename.png' ) );

Krenair closed this task as Resolved.Aug 26 2015, 7:08 PM
Restricted Application removed a subscriber: Mjbmr. · View Herald TranscriptMay 4 2016, 9:14 AM